package wtext

import (
	"testing"
)

type tester struct {
	t   *testing.T
	txt *WuiText
}

func TestWuiText(t *testing.T) {
	sf := &tester{
		t: t,
	}
	sf.new()
	sf.set()
	sf.html()
}

// Получает HTML
func (sf *tester) html() {
	sf.t.Log("html")
	if txt := sf.txt.Html(); txt == "" {
		sf.t.Fatalf("set(): html is empty")
	}
}

// Устанавливает новый текст
func (sf *tester) set() {
	sf.t.Log("set")
	sf.txt.Set("test_val2")
	if txt := sf.txt.Get(); txt != "test_val2" {
		sf.t.Fatalf("set(): text is bad")
	}
}

// Получение нового WuiText
func (sf *tester) new() {
	sf.t.Log("new")
	sf.txt = NewWuiText("test_text")
	if txt := sf.txt.Get(); txt != "test_text" {
		sf.t.Fatalf("new(): text is bad")
	}
}
